package com.xmomen.module.base.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.base.entity.CdExpressMember;
import com.xmomen.module.base.entity.CdExpressMemberExample;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper
public interface CdExpressMemberMapper extends MybatisMapper {
    // 根据条件统计记录数
    int countByExample(CdExpressMemberExample example);

    // 根据条件删除记录
    int deleteByExample(CdExpressMemberExample example);

    // 插入记录
    int insertSelective(CdExpressMember record);

    // 根据条件更新记录
    int updateByExampleSelective(@Param("record") CdExpressMember record, @Param("example") CdExpressMemberExample example);
}